Subject: bug#15880: Compute C declarations for DEFSYMs automatically.

From: Stefan Monnier <[email-masked]>
Date: Tue, 23 Dec 2014 12:15:45 -0500

> Attached, finally, is an updated version of the patch which should address
> the points raised. As the ChangeLog notes, this patch uses a couple of ideas
> that improve overall performance a bit for Elisp code, since it
> means a decent C compiler can do better analysis of C code now that Qnil
> etc. are constants.  The constants are visible even to debuggers that don't
> grok macros, which I think was the main sticking point with the
> earlier approach.

Could you split this patch into at least two parts:
- auto-generate the symbols from make-docfile.
- make Qnil be zero.
The other part (make those Q<foo> be link-time constants) could be
a third patch or folded into one of the other two.

        Stefan